# class SignallingNotifier | Notifier class. More...
Full name | `TelEngine::SignallingNotifier`
Definition | `#include <libs/ysig/yatesig.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual inline ~SignallingNotifier ()
- virtual void notify (NamedList& notifs)
- virtual void cleanup ()

## Detailed Description

Notifying class. Used to handle notifications.

inline ~SignallingNotifier () | ### ~SignallingNotifier

[virtual]

Destructor.

void notify (NamedList& notifs) | ### notify

[virtual]

Handle the received notifications

Parameters:

notifs | Received notifications

void cleanup () | ### cleanup

[virtual]

Handle necessary clean up

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.